Update loyalty program

Updates loyalty program

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID. A unique identifier for the loyalty program.

Request

Update Loyalty Program Payload
namestringRequired
Loyalty Program name
descriptionstringOptional
Loyalty Program description
metaobjectOptional
Loyalty Program meta data

Response

Successfully updated loyalty program.
idstringformat: "uuid"
Loyalty Program unique identifier.
namestring
Loyalty Program name.
descriptionstring
Loyalty Program description.
metamap from strings to any
Loyalty Program metadata.
stateenum
Current state of the loyalty program.
Allowed values:
subscriptionPoolIdstringformat: "uuid"
Loyalty Program subscription pool ID.
subscriptionGeneratorIdstringformat: "uuid"
Loyalty Program subscription generator ID.
patternstring
Subscription code pattern.
codeCountlong
Number of available subscription codes.
documentIdstringformat: "uuid"
Associated document identifier.
birthdayAttributestring
Contact attribute name used for birthday tracking.
createdAtdatetime
Timestamp when the loyalty program was created.
updatedAtdatetime
Timestamp when the loyalty program was last modified.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
500
Internal Server Error